/*
 * @author lsy
 * @date   2019-09-03
 **/

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/messageModel/MessageRouter.dart';
import 'package:gmalpha_flutter/messageModel/home/message_home.dart';

class MessageRouterImpl implements MessageRouter {
  @override
  void openMessagePage(Map map, BuildContext context) {
    Navigator.pushReplacement(context,
        new MaterialPageRoute(builder: (context) => MessageHomePage(map)));
  }

  @override
  Widget getMessagePage(Map map) {
    return MessageHomePage(map);
  }
}
